--- title: "Add a cross account" slug: "add-a-cross-account-3" tags: ["Product Usage"] updated: 2026-11-19T12:28:23Z published: 2026-11-19T12:28:23Z canonical: "docs.trellix.com/add-a-cross-account-3" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Add a cross account This URL adds a adds a cross account for a Controller. ### Resource URL POST /controller/account//crossaccount ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `accound id` | ID allocated by the Manager for the cloud account associated with the Controller | number | Yes | Payload Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `name` | Cross account name | string | Yes | | `crossAccountId` | Cross account ID | string | Yes | ### Response Parameters Following fields are returned in the response. | Field Name | Description | Data Type | | --- | --- | --- | | `success` | Indicates if the cross account addition is successful. Value is set to `true` if the addition is successful. Value is set to `false` if the addition is not successful. | string | | `msg` | Message if cross account addition is successful | string | | `errMsg` | Error message if the cross account addition is not successful | string | | `domainName` | Domain in which the cross account is added | string | | `data` | Name of the cross account that was added | string | ### Example **Request** POST [https:///intruvert/webservice/api/v1/cloud/controller/account/7/crossaccount](https://<NSM_IP>/intruvert/webservice/api/v1/cloud/controller/account/7/crossaccount) Payload ``` { "name":"Finance-compartment-1", "crossAccountId":"arn:aws:iam::97284xxxx:instance-profile/Trellix_vIPS_IAM" } ``` **Response** ``` {    "success": true,    "msg": "Success",    "errMsg": null,    "domainName": null,    "data": "Finance-compartment-1" } ```